test: tagCARET struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagCARET Struct Reference

`#include <user.h>`

List of all members.

## Public Attributes

tagWND * | spwnd
UINT | fVisible: 1
UINT | fOn: 1
int | iHideLevel
int | x
int | y
int | cy
int | cx
HBITMAP | hBitmap
UINT | hTimer
DWORD | tid
tagWND * | spwnd
UINT_PTR | hTimer

## Member Data Documentation

int tagCARET::cx

| Definition at line 3081 of file inc/user.h. Referenced by _GetGUIThreadInfo(), UT_InvertCaret(), xxxCreateCaret(), and xxxScrollWindowEx().

int tagCARET::cy

| Definition at line 3080 of file inc/user.h. Referenced by _GetGUIThreadInfo(), UT_InvertCaret(), xxxCreateCaret(), and xxxScrollWindowEx().

UINT tagCARET::fOn

| Definition at line 3076 of file inc/user.h. Referenced by CaretBlinkProc(), xxxCreateCaret(), zzzInternalShowCaret(), and zzzSetCaretPos().

UINT tagCARET::fVisible

| Definition at line 3075 of file inc/user.h. Referenced by CaretBlinkProc(), UT_InvertCaret(), xxxCreateCaret(), zzzInternalHideCaret(), zzzInternalShowCaret(), and zzzSetCaretPos().

HBITMAP tagCARET::hBitmap

| Definition at line 3082 of file inc/user.h. Referenced by UT_InvertCaret(), xxxCreateCaret(), and zzzInternalDestroyCaret().

UINT_PTR tagCARET::hTimer

| Definition at line 3083 of file inc/user.h.

UINT tagCARET::hTimer

| Definition at line 2910 of file client/nt6/user.h. Referenced by _SetCaretBlinkTime(), xxxCreateCaret(), zzzInternalDestroyCaret(), and zzzSetCaretPos().

int tagCARET::iHideLevel

| Definition at line 3077 of file inc/user.h. Referenced by _GetGUIThreadInfo(), CaretBlinkProc(), xxxCreateCaret(), zzzInternalDestroyCaret(), zzzInternalHideCaret(), zzzInternalShowCaret(), and zzzSetCaretPos().

struct tagWND* tagCARET::spwnd

| Definition at line 3074 of file inc/user.h.

struct tagWND* tagCARET::spwnd

| Definition at line 2901 of file client/nt6/user.h. Referenced by _GetGUIThreadInfo(), _SetCaretBlinkTime(), CaretBlinkProc(), UT_CaretSet(), UT_InvertCaret(), xxxCheckFocus(), xxxCreateCaret(), xxxScrollWindowEx(), zzzAttachToQueue(), zzzChangeStates(), zzzDestroyQueue(), zzzInternalDestroyCaret(), zzzInternalHideCaret(), zzzInternalShowCaret(), and zzzSetCaretPos().

DWORD tagCARET::tid

| Definition at line 3084 of file inc/user.h. Referenced by UT_CaretSet(), and xxxCreateCaret().

int tagCARET::x

| Definition at line 3078 of file inc/user.h. Referenced by _GetGUIThreadInfo(), NtUserGetCaretPos(), UT_InvertCaret(), xxxScrollWindowEx(), zzzChangeStates(), and zzzSetCaretPos().

int tagCARET::y

| Definition at line 3079 of file inc/user.h. Referenced by _GetGUIThreadInfo(), NtUserGetCaretPos(), UT_InvertCaret(), xxxScrollWindowEx(), zzzChangeStates(), and zzzSetCaretPos().

The documentation for this struct was generated from the following files:

- client/nt6/user.h
- inc/user.h